Subject: Re: linux-next: manual merge of the libcrypto tree with the s390 tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 30 Jul 2025 09:05:40 +1000

Hi all,

On Fri, 4 Jul 2025 14:16:35 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the libcrypto tree got a conflict in:
> 
>   arch/s390/lib/crypto/sha256.c
> 
> between commit:
> 
>   65c9a9f92502 ("s390: Explicitly include <linux/export.h>")
> 
> from the s390 tree and commit:
> 
>   1a8f59dfdca0 ("lib/crypto: sha256: Consolidate into single module")
>   b8456f7aaf35 ("lib/crypto: s390: Move arch/s390/lib/crypto/ into lib/crypto/")
> 
> from the libcrypto tree.
> 
> I fixed it up (I removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the s390 tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell